summaryrefslogtreecommitdiff
path: root/TS/run-fgbs24a.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-03-11 09:36:01 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-03-11 09:36:01 +0100
commiteac4b8aaac345cd4c6e74b1d08c2532cb3e99bdf (patch)
treec726560eb220eac9552cd41053f61c6c3c64d75f /TS/run-fgbs24a.sh
parentb7bac5f6c74b2efa68aea4244d2b7646a2ae0442 (diff)
TS: introduce alloc/load/free overhead parameters; vary them for fgbs24a
Diffstat (limited to 'TS/run-fgbs24a.sh')
-rwxr-xr-xTS/run-fgbs24a.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/TS/run-fgbs24a.sh b/TS/run-fgbs24a.sh
index 91b46f9..25bba55 100755
--- a/TS/run-fgbs24a.sh
+++ b/TS/run-fgbs24a.sh
@@ -4,6 +4,8 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
# T: data type
# -w: number of un-timed warmup iterations
@@ -16,7 +18,7 @@ echo "prim-benchmarks TS (dfatool fgbs24a edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
# upstream code only works with up to 8 tasklets. funky.
for nr_tasklets in 8 12 16; do
echo
@@ -25,7 +27,10 @@ for nr_dpus in 2543 2304 2048; do
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=8; then
timeout --foreground -k 1m 30m bin/ts_host -w 0 -e 100 -n 33554432 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=8 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/ts_host -w 0 -e 100 -n 33554432 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"